Download it now!
Bug 124253 - It unexpectedly closes libreoffice calc (macros problem)
Summary: It unexpectedly closes libreoffice calc (macros problem)
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.2.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Macro-Recording KDE
  Show dependency treegraph
 
Reported: 2019-03-21 23:59 UTC by Eduardo Castillo
Modified: 2020-02-10 03:33 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (15.27 KB, image/png)
2019-03-28 04:00 UTC, Eduardo Castillo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eduardo Castillo 2019-03-21 23:59:58 UTC
Description:
When I am recording a macros, libreoffice calc closes unexpectedly. I am using libreoffice version Version: 6.2.2.2.

Motherboard asus
Geforce 630
4 gb ram.
Distro Archlinux

Steps to Reproduce:
1. Restart the application
2.
3.

Actual Results:
The same thing keeps happening

Expected Results:
Record the macros normally.


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
This problem started with the last libreoffice update.
Comment 1 Roman Kuznetsov 2019-03-22 07:51:05 UTC
can't repro in

Version: 6.3.0.0.alpha0+
Build ID: 4aa8a6ab08b755e3d82860e8dbc294f854336477
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-03-14_17:51:01
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

Eduardo, 
1. please add info from dialog Help->About LibreOffice
2. give us more clear steps for repro your problem
Comment 2 Eduardo Castillo 2019-03-22 14:29:18 UTC
Versión: 6.2.2.2
Id. de compilación: 6.2.2-1
Subprocs. CPU: 8; SO: Linux 5.0; Repres. IU: predet.; VCL: kde5; 
Configuración regional: es-AR (es_AR.UTF-8); Idioma de IU: es-ES
Calc: threaded
Archlinux version
Comment 3 Xisco Faulí 2019-03-25 17:56:14 UTC
Probably a KDE5 problem...
Comment 4 Xisco Faulí 2019-03-27 11:45:14 UTC
--- Comment #4 from Vera Blagoveschenskaya <vercha at basealt.ru> ---
Version: 6.3.0.0.alpha0+
Build ID: a03f421a878c210566dc8d728113a27400da38f2
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64 at 86-TDF, Branch:master, Time:
2019-03-16_09:07:41
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

I can't reproduce unexpectedly closing LO.
Could you please attach some screens or video how to reproduce it?

Message lost during the BZ outage -> https://lists.freedesktop.org/archives/libreoffice-bugs/2019-March/176603.html
Comment 5 Michael Weghorn 2019-03-27 22:45:39 UTC
Setting to NEEDINFO as per comment 4
Comment 6 Eduardo Castillo 2019-03-28 04:00:13 UTC
Created attachment 150334 [details]
screenshot
Comment 7 Michael Weghorn 2019-03-28 16:47:08 UTC
Thanks for the screenshot. Can you describe more precisely which steps you took before the error occured?

I don't get a crash e.g. when I do the following (the macro recorded this way probably is of little use...):

1) Start LibreOffice Writer
2) enable macro recording in "Tools" -> "Options" -> "Advanced" (enable checkbox for "Enable macro recording (may be limited)" and click OK to save
3) select "Tools" -> "Macros" -> "Record Macro"
4) type some text
5) click the "Stop Recording" button
6) click "Save" in the macro save dialog

Does LibreOffice close unexpectedly for you if you take these steps?
Or what are the exact steps you take before the crash appears?

Version: 6.2.2.2
Build ID: 2b840030fec2aae0fd2658d8d4f9548af4e3518d
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 8 Michael Weghorn 2019-03-28 16:50:00 UTC
Seeing that your problem is in Calc:
The same as mentioend in comment 7 also happens if I start Calc instead of Writer in step 1).
Comment 9 Eduardo Castillo 2019-04-05 15:03:06 UTC
This problem occurs only in the fresh version, with the version still there is no problem.
Comment 10 Michael Weghorn 2019-04-05 21:34:45 UTC
(In reply to Eduardo Castillo from comment #9)
> This problem occurs only in the fresh version, with the version still there
> is no problem.

Thanks for the info. Can you give more details on which steps exactly you take before the crash happens, s. comment 7?
Comment 11 Jan-Marek Glogowski 2019-07-13 14:15:43 UTC
Can you test if the current 6.2 build still crashes? There were a lot of fixes merged into 6.2 since your bug report, and since Arch is a rolling release, this bug might even be fixed in current 6.2.
Comment 12 QA Administrators 2020-01-10 04:11:46 UTC Comment hidden (obsolete)
Comment 13 QA Administrators 2020-02-10 03:33:53 UTC
Dear Eduardo Castillo,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp